use super::*;

pub async fn on_get_embattles_data(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetEmbattlesDataCsReq,
) -> NetResult<GetEmbattlesDataScRsp> {
    Ok(GetEmbattlesDataScRsp {
        embattles_data: Some(EmbattlesData::default()),
        retcode: Retcode::RetSucc.into(),
    })
}

pub async fn on_report_battle_team(
    _session: &NetSession,
    _player: &mut Player,
    _req: ReportBattleTeamCsReq,
) -> NetResult<ReportBattleTeamScRsp> {
    Ok(ReportBattleTeamScRsp {
        retcode: Retcode::RetSucc.into(),
        ..Default::default()
    })
}
